#ifndef __JABYENGINE_PRIMITIVE_GPU_COMMANDS_HPP__
#define __JABYENGINE_PRIMITIVE_GPU_COMMANDS_HPP__
#include "../../System/IOPorts/gpu_io.hpp"
#include "linked_elements.hpp"
#include "primitive_support_types.hpp"

namespace JabyEngine {
    namespace GPU {
        struct TexPage : public internal::LinkedElementCreator<TexPage> {
            static constexpr bool is_render_primitive = true;

            GPU_IO::GP0_t value;

            constexpr TexPage() = default;
            constexpr TexPage(const PositionU16& tex_pos, TexturePageColor tex_color, SemiTransparency transparency = SemiTransparency::B_Half_add_F_Half, bool dither = false) : value{
                GPU_IO::Command::TexPage(tex_pos, transparency, tex_color, dither, false)} {}
        };
    }
}

#endif // !__JABYENGINE_PRIMITIVE_GPU_COMMANDS_HPP__